<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>Uses of Package ch.sebi.zuul.command</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package ch.sebi.zuul.command";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/command/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Uses of Package ch.sebi.zuul.command" class="title">Uses of Package<br>ch.sebi.zuul.command</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command">ch.sebi.zuul.command</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.commons">ch.sebi.zuul.command.executors.commons</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.fight">ch.sebi.zuul.command.executors.fight</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.command.executors.normal">ch.sebi.zuul.command.executors.normal</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic">ch.sebi.zuul.logic</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.fight">ch.sebi.zuul.logic.fight</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> used by <a href="../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Command.html#ch.sebi.zuul.command">Command</a>
<div class="block">An annotation which marks an executor as an executor and can be found without registering the executor
 directly in the <a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command"><code>CommandParser</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandDiscoverer.html#ch.sebi.zuul.command">CommandDiscoverer</a>
<div class="block">Discovers commands with annotions</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandDiscoverer.DiscoveredCommand.html#ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a>
<div class="block">A class which contains more information about a command</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandExecutor.html#ch.sebi.zuul.command">CommandExecutor</a>
<div class="block">The command executor executes a command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandParser.CommandElement.html#ch.sebi.zuul.command">CommandParser.CommandElement</a>
<div class="block">An class wich contaions the command executor, the name, the syntax and the help of a command</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Parser.html#ch.sebi.zuul.command">Parser</a>
<div class="block">A general parser which splits the input into words.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.commons">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> used by <a href="../../../../ch/sebi/zuul/command/executors/commons/package-summary.html">ch.sebi.zuul.command.executors.commons</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandExecutor.html#ch.sebi.zuul.command.executors.commons">CommandExecutor</a>
<div class="block">The command executor executes a command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Commands.html#ch.sebi.zuul.command.executors.commons">Commands</a>
<div class="block">A class which is used by the jvm if the <a href="../../../../ch/sebi/zuul/command/Command.html" title="annotation in ch.sebi.zuul.command"><code>Command</code></a> annotation is repeated</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Syntax.html#ch.sebi.zuul.command.executors.commons">Syntax</a>
<div class="block">A annotation which is used for defining the syntax of a command</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.fight">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> used by <a href="../../../../ch/sebi/zuul/command/executors/fight/package-summary.html">ch.sebi.zuul.command.executors.fight</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Command.html#ch.sebi.zuul.command.executors.fight">Command</a>
<div class="block">An annotation which marks an executor as an executor and can be found without registering the executor
 directly in the <a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command"><code>CommandParser</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandExecutor.html#ch.sebi.zuul.command.executors.fight">CommandExecutor</a>
<div class="block">The command executor executes a command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Syntax.html#ch.sebi.zuul.command.executors.fight">Syntax</a>
<div class="block">A annotation which is used for defining the syntax of a command</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.command.executors.normal">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> used by <a href="../../../../ch/sebi/zuul/command/executors/normal/package-summary.html">ch.sebi.zuul.command.executors.normal</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Command.html#ch.sebi.zuul.command.executors.normal">Command</a>
<div class="block">An annotation which marks an executor as an executor and can be found without registering the executor
 directly in the <a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command"><code>CommandParser</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandExecutor.html#ch.sebi.zuul.command.executors.normal">CommandExecutor</a>
<div class="block">The command executor executes a command.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Commands.html#ch.sebi.zuul.command.executors.normal">Commands</a>
<div class="block">A class which is used by the jvm if the <a href="../../../../ch/sebi/zuul/command/Command.html" title="annotation in ch.sebi.zuul.command"><code>Command</code></a> annotation is repeated</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Syntax.html#ch.sebi.zuul.command.executors.normal">Syntax</a>
<div class="block">A annotation which is used for defining the syntax of a command</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> used by <a href="../../../../ch/sebi/zuul/logic/package-summary.html">ch.sebi.zuul.logic</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandParser.html#ch.sebi.zuul.logic">CommandParser</a>
<div class="block">A class which parses lines in to commands and executes them</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/Parser.html#ch.sebi.zuul.logic">Parser</a>
<div class="block">A general parser which splits the input into words.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="ch.sebi.zuul.logic.fight">
<!--   -->
</a>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../ch/sebi/zuul/command/package-summary.html">ch.sebi.zuul.command</a> used by <a href="../../../../ch/sebi/zuul/logic/fight/package-summary.html">ch.sebi.zuul.logic.fight</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colOne"><a href="../../../../ch/sebi/zuul/command/class-use/CommandParser.html#ch.sebi.zuul.logic.fight">CommandParser</a>
<div class="block">A class which parses lines in to commands and executes them</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/command/package-use.html" target="_top">Frames</a></li>
<li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
